Skip to main content
GET
Get Transactions

Authorizations

X-API-KEY
string
header
required
x-organization-id
string
header
required

Query Parameters

state_code
string

Filter transactions by state code.

transaction_type
string

Filter by transaction type (e.g., SALE, FULL_CREDIT_NOTE, PARTIAL_CREDIT_NOTE, ARCHIVE etc.).

transaction_source
string

Filter transactions based on the source.

search_query
string

Search for transactions using a general query (e.g., order ID, customer name).

country
enum<string>[]

Filter transactions by country code (ISO 3166-1 alpha-2 format, e.g., US).

Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
CI,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MK,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
US,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
XK,
ZZ_EU
state
string

Filter by full state name (e.g., California).

address_status__in
string
default:UNVERIFIED,INVALID,PARTIALLY_VERIFIED,VERIFIED,UNVERIFIABLE

Filter by address status (e.g., UNVERIFIED, INVALID, PARTIALLY_VERIFIED, VERIFIED, UNVERIFIABLE).

status
enum<string>

Filter by transaction status (e.g., PENDING, COMMITTED, CANCELLED, FULLY_REFUNDED, PARTIALLY_REFUNDED, ARCHIVED).

Available options:
PENDING,
COMMITTED,
CANCELLED,
FULLY_REFUNDED,
PARTIALLY_REFUNDED,
INVALID,
ARCHIVED
filing_id
string

Retrieve transactions linked to a specific filing ID.

order_by
string
default:date,state,customer_name,status

Sort results based on specified fields. Prefix with - for descending order (e.g., -date for newest first).

date__gte
string

Retrieve transactions with a date greater than or equal to (YYYY-MM-DD).

date__lte
string

Retrieve transactions with a date less than or equal to (YYYY-MM-DD).

processing_status__in
string

Filter transactions based on processing status. Multiple values can be passed as a comma-separated list.

marketplace
boolean

Filter transactions by marketplace (e.g., AMAZON, EBAY).

exempt__in
string

Filter transactions by exemption status. Multiple values can be passed as a comma-separated list (e.g., EXEMPT,TAXABLE).

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100

Response

Successfully retrieved transactions

items
TransactionRead · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1
pages
integer
required
Required range: x >= 0